bpkg-rep-info(1)

NAME
bpkg-rep-info - print repository information

SYNOPSIS

bpkg rep-info [options] rep-loc

DESCRIPTION

The rep-info command prints various information about the specified repository. By default it print the repository's name and location as the first line. If the repository is signed, the certificate information (name/organization/email) is printed as the next line followed by the certificate fingerprint. Then comes the list of complement and prerequisite repositories followed by the list of available packages.

This default format can be altered in various ways using options listed below. Note also that the information is written to stdout, not stderr.

If the current working directory contains a bpkg configuration, then rep-info will use its certificate database for the repository authentication. That is, it will trust the repository's certificate if it is already trusted by the configuration. Otherwise it will add the certificate to the configuration if you confirm it is trusted. You can specify an alternative configuration directory with the --directory|-d option. To disable using the configuration in the current working directory pass this option with an empty path.

REP-INFO OPTIONS

--name|-n
    Print the repository's name and location.

--cert-fingerprint
    Print the repository's certificate fingerprint or empty line if the repository is unsigned.

--cert-name
    Print the repository's certificate common name (CN) or empty line if the repository is unsigned.

--cert-organization
    Print the repository's certificate organization name (O) or empty line if the repository is unsigned.

--cert-email
    Print the repository's certificate email or empty line if the repository is unsigned.

--repositories|-r
    Print the list of complement and prerequisite repositories.

--packages|-p
    Print the list of available packages.

--manifest
    Instead of printing the information in the human-readable form, dump it (to stdout) as manifest(s). Normally you would use this option in combination with --packages|-p or --repositories|-r to only dump one of the manifests. If the --deep option is specified, then in the resulting packages manifest the *-file values are replaced with the contents of the referenced files. See also --repositories-file and --packages-file.

--deep
    Verify files referenced by the *-file manifest values.

--repositories-file path
    If --manifest is specified, then save the repositories manifest to the specified file instead of dumping it to stdout.

--packages-file path
    If --manifest is specified, then save the packages manifest to the specified file instead of dumping it to stdout.

--type type
    Specify the repository type with valid values being pkg, dir, and git. Refer to bpkg-rep-add(1) for details.

--directory|-d dir
    Use configuration in dir for the trusted certificate database.

COMMON OPTIONS

The common options are summarized below with a more detailed description available in bpkg-common-options(1).

-v  Print essential underlying commands being executed.

-V  Print all underlying commands being executed.

--quiet|-q
    Run quietly, only printing error messages.

--verbose level
    Set the diagnostics verbosity to level between 0 and 6.

--jobs|-j num
    Number of jobs to perform in parallel.

--no-result
    Don't print informational messages about the outcome of performing a command.

--no-progress
    Suppress progress indicators for long-lasting operations, such as network transfers, building, etc.

--build path
    The build program to be used to build packages.

--build-option opt
    Additional option to be passed to the build program.

--fetch path
    The fetch program to be used to download resources.

--fetch-option opt
    Additional option to be passed to the fetch program.

--fetch-timeout sec
    The fetch and fetch-like (for example, git) program timeout.

--git path
    The git program to be used to fetch git repositories.

--git-option opt
    Additional common option to be passed to the git program.

--sha256 path
    The sha256 program to be used to calculate SHA256 sums.

--sha256-option opt
    Additional option to be passed to the sha256 program.

--tar path
    The tar program to be used to extract package archives.

--tar-option opt
    Additional option to be passed to the tar program.

--openssl path
    The openssl program to be used for crypto operations.

--openssl-option opt
    Additional option to be passed to the openssl program.

--auth type
    Types of repositories to authenticate.

--trust fingerprint
    Trust repository certificate with a SHA256 fingerprint.

--trust-yes
    Assume the answer to all authentication prompts is yes.

--trust-no
    Assume the answer to all authentication prompts is no.

--pager path
    The pager program to be used to show long text.

--pager-option opt
    Additional option to be passed to the pager program.

--options-file file
    Read additional options from file.

BUGS
Send bug reports to the users@build2.org mailing list.

COPYRIGHT
Copyright (c) 2014-2019 Code Synthesis Ltd Permission is granted to copy, distribute and/or modify this document under the terms of the MIT License.